petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscTime

Returns the current time of day in seconds.

### Synopsis

    #include <petsctime.h>
    PetscTime(PetscLogDouble *v)

Not Collective Many br

### Output Parameter

v -time counter Many br

### Usage

PetscLogDouble v; Many brPetscTime(&v); Many br.... perform some calculation ... Many brprintf("Time for operation %g\n",v); Many br

Many br

### Notes

Since the PETSc libraries incorporate timing of phases and operations, Many brwe do not recommend ever using PetscTime() Many brThe options database command -log_summary activate Many brPETSc library timing. See Users-Manual: Chapter 13 Profiling for more details. Many br

### See Also

PetscTimeSubtract(), PetscTimeAdd(), PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Keywords

Petsc, time

Level:developer
Location:src/sys/time/../../../include/petsctime.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages